#!/usr/bin/ruby

require File.expand_path('iepgdat.rb', File::dirname(__FILE__))
require File.expand_path('rtvbooklib.rb', File::dirname(__FILE__))
require File.expand_path('rtvprog.rb', File::dirname(__FILE__))

require 'optparse'

opt = OptionParser.new
update = true
putcache = true
reserve = true

ARGV.options {|opt|
  opt.on('--no-update-tvprogram') {|v| update = false}
  opt.on('--no-output-cache') {|v| putcache = false}
  opt.on('--no-reserve') {|v| reserve = false}
  opt.parse!
}

a = RTVBookLib.new()
a.delete_used_iepg_cached_data
a.update_tvprogramlist if update
a.search_word_matching
a.output_cache_file if putcache

b = RTVProg.new
b.rec_reserve_from_cache_files if reserve
